/*
 * $Id: ssl3.pike,v 1.3 1999/03/06 17:05:00 turbo Exp $
 */

#include <module.h>

constant name = "SSL server";
constant desc = "A basic strong encryption server, with a preconfigured SSL port.";

constant modules = ({
  "contenttypes#0",
  "cgi#0",
  "ismap#0",
  "htmlparse#0",
  "directories#0",
  "filesystem#0",
});

void enable(object config)
{
  foreach(modules, string module)
    config->enable_module(module);
}

void post(object node)
{
  object o,o2;

  if (o = node->descend("Global", 1)) {
    o->folded = 0;

    if (o2 = o->descend("Ports", 1)) {
      o2->folded = 0;
      o2->change(1);

      /* "/usr/lib/roxen/demo_certificate.pem" */
      o2->data[VAR_VALUE] = ({ ({ 443, "ssl3", "ANY", "(cert-file /usr/lib/roxen/demo_certificate.pem)" }) });
    }

    if (o2 = o->descend("Logging", 1)) {
      o2->folded = 0;

      if (o2 = o2->descend("Log file", 1)) {
        o2->folded = 0;
        o2->change(1);
      }
    }
  }
}
